public with sharing class TestSignOnMobile {
    
    public void testSignOnMobile(){
    	//Add mobile capture signature to an existing approval
    	String packageId = 'LSIxHrLlrjyAuu54lBy0H14ZW_E=';
    	String documentId = '5d0a72339ddf392dc059f72d649ff6e12651b4afa2b8c32c';
    	String roleId = 'b9bb2f89-4a27-4c9a-80fc-aaad70f8cac8';
    	
    	ESignLiveAPIObjects.Field field_mobile_capture = new ESignLiveAPIObjects.Field();
        field_mobile_capture.id = 'field_mobile_capture';		
        field_mobile_capture.type = 'SIGNATURE';
        field_mobile_capture.subtype = 'MOBILE_CAPTURE';
    	field_mobile_capture.page = 0;
    	field_mobile_capture.top = 100.0;
    	field_mobile_capture.left = 50.0;
    	field_mobile_capture.width = 150.0;
    	field_mobile_capture.height = 50.0;
    	
    	ESignLiveAPIObjects.Approval approval_mobile_capture = new ESignLiveAPIObjects.Approval();
        approval_mobile_capture.fields = new List<ESignLiveAPIObjects.Field>{field_mobile_capture};
        approval_mobile_capture.id = 'approval_mobile_capture';
        approval_mobile_capture.role = roleId;
        
    	ESignLiveSDK sdk = new ESignLiveSDK();
    	//String packageId, String documentId,ESignLiveAPIObjects.Approval approval
    	sdk.addSignature(packageId, documentId, approval_mobile_capture);
    	
    	
    	
    }
    
}